GuideLab API

Update payment settings for a partnership

Set or clear a payment policy override for a partnership. Setting to null removes the override and falls back to the lab's default policy. Only the lab owner of the partnership may change it.

PUT
/partnership-payment-settings/{partnershipId}

Set or clear a payment policy override for a partnership. Setting to null removes the override and falls back to the lab's default policy. Only the lab owner of the partnership may change it.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

partnershipId*string

Partnership ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/partnership-payment-settings/550e8400-e29b-41d4-a716-446655440000" \  -H "Content-Type: application/json" \  -d '{}'
{  "success": true}
Empty
Empty
Empty
Empty
Empty
Empty